2 Replies Latest reply on Mar 1, 2012 2:57 AM by user_94391782

    Problem in programmer

    user_94391782

       dear all!

         

        I have a CY8C001 kit. As per your suggestion i have downloaded PSOC creator version 2.0 and tried to build some example projects on it. As soon as the editor opens there is a warning statement that it failed to establish connection with external programmer.However the projects are built successfuly. But as soon as i try to program it  through 'Program' option in menu there are no options seen of the device.I have cross checked that mini programmer is configured correctly as given in the guide. It was not a problem when i used Creator 1.0.

         

      I uninstalled the programmer and reinstalled it from the CD given in the kit: only the programmer from 'PSoC programmer' folder.  Instead of using it through creator, i tried to program hex file through programmer again configuring mini programmer through recommended settings.It reads the device, erases it.The LEDs of programmer are glowing as well but as soon as i try to burn a hex file in it, it shows device compatibility issues. Please help :(

        • 1. Re: Problem in programmer
          robert.teufel

          Hi,

             

          this issues should get a one on one treatment. I have a 001 kit on my desk as well and the revision is Rev *A. Just for sanity check I assume you have a *A as well. So far no issues with programming but my designs are not representative, they are very small, usually just to verify if an issue shows up consistently or on an individual base.

             

          Please create a support case with Cypress.

             

          You can start here: http://www.cypress.com/?id=4

             

          Then create a Tech Support case, lower left corner in the center frame.

             

          Out Tech Support will help you with this issue.

             

          Robert

          • 2. Re: Problem in programmer
            user_94391782

            Thanks Robert!

               

            The issue is sorted by upgrading the programmer to version 3.14. Will report if there is problem further!

               

            Regards

               

            Neha